## qiime 1.9.1+dfsg

=== debian/changelog ===
qiime (1.9.1+dfsg-3) unstable; urgency=medium

  * Build-Depends: ruby-ronn -> ronn
    Closes: #903069
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Sat, 04 Aug 2018 15:14:39 +0200

qiime (1.9.1+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Introduced EDAM annotation to debian/upstream/edam.
  * debian/upstream/metadata:
    - Added references to registries
    - yamllint cleanliness

  [ Gianfranco Costamagna ]
  * Cherry-pick ubuntu fix, adding python-biom-format to
    build-dependencies

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * debhelper 10
  * cme fix dpkg-control
  * Standards-Version: 4.1.1
  * Fix lintian-override about false positives
  * d/rules: do not parse d/changelog
  * hardening=+all
  * Fixing dependency relations (related to #820308):
     - qiime-default-reference: Depends -> Suggests
     - Build-Depends: bwa, infernal, raxml, sortmerna, swarm, vsearch
     - TODO: python-burrito-fillings, emperor

 -- Andreas Tille <tille@debian.org>  Fri, 17 Nov 2017 13:32:51 +0100

qiime (1.9.1+dfsg-1) unstable; urgency=medium

  * Take over changes from BioLinux for new upstream version
  * adapt d/watch and get-orig-source target to new uscan
  * cme fix dpkg-control
  * Remove denoiser from d/control since there is no such package
    any more
  * DEP5 fixes
  * Add lintian override for false positive about JS without source
  * Enable building arch independent packages separately
    Closes: #806101
  * This upload also
    Closes: #758987

 -- Andreas Tille <tille@debian.org>  Wed, 25 Nov 2015 17:07:33 +0100

qiime (1.9.1+dfsg-0ubuntu1) trusty; urgency=medium

  * New upstream - should be a bugfix upgrade
  * Attempt to re-sync Bio-Linux and Deb Med packages
  * Ensure we depend on correct biom-format version and
    ditto for burrito-fillings.
  * Add in manpages and print_qiime_config_all helper script
  * Remove link to king which is no longer used
  * Remove reference to expunged vb_viles

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 30 Jul 2015 10:17:08 +0100

qiime (1.9.0+dfsg-0biolinux5) trusty; urgency=medium

  * Fix /usr/bin/qiime (again) and update help for usearch

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 14 Apr 2015 13:53:26 +0100

qiime (1.9.0+dfsg-0biolinux4) trusty; urgency=medium

  * Remove symlink for King
  * Tweak qiime script so I can call "qiime print_qiime_config_all" directly
  * Add missing setuptools dep

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 09 Mar 2015 18:25:27 +0000

qiime (1.9.0+dfsg-0biolinux2) trusty; urgency=medium

  * New upstream
  * Use vSearch instead of uSearch
  * Use SumaClust, SortMeRNA and SeqPrep
  * Use latest RDP-classifier
  * Add dep on python-pandas and new package python-burrito-fillings
  * Add dep on qiime-default-reference
  * Remove usearch61 as we now call vsearch
  * Make help more helpful (I hope), by
   - Making the pseudo-manpage into a real manpage
   - Adding a print_qiime_config_all script
  * New patch to allow RDP-Classifier to not be retrained by default
  * Dep on Emperor 0.9.51
  * Dep on new biom-format
  * No more dep on King

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 20 Feb 2015 14:18:45 +0000

qiime (1.8.0+dfsg-4) unstable; urgency=medium

  * d/copyright: Fix missing licenses
    Closes: #758026

 -- Andreas Tille <tille@debian.org>  Wed, 13 Aug 2014 19:19:10 +0200

qiime (1.8.0+dfsg-3) unstable; urgency=medium

  * cme fix dpkg-control (remove useless Pre-Depends)
  * fixed watch file
  * king does not (Build-)Depend from libjogl-java any more
    Closes: #731190
  * debian/patches/prevent_download_on_builds.patch: do not try to download
    uclust at package build time
    Closes: #754672
  * emperor moved from Depends to Suggests since this depencency is not (yet)
    fullfilled in Debian.  This might make some tests fail but for the moment
    there is no better chance to get qiime into the next release
  * debian/qiime.links: Remove hack to link to biom-format tools
    Closes: #742754

 -- Andreas Tille <tille@debian.org>  Mon, 11 Aug 2014 15:57:14 +0200

qiime (1.8.0-1biolinux1) precise; urgency=low

  * Make QIIME report the Debian version, because the patches we
    add are significant.
  * New dep on Emperor
  * Add new deps on qcli and promote some recommends to dependencies
    based on http://qiime.org/install/install.html#manually-installing-qiime
  * Add little wrapper script to call parsinsert as ParsInsert
  * Pulled the adsense patch from Andreas.  Noted these packages are totally
    out of sync.  Oh well.
  * Dropped biom 1108 patch as this is in upstream
  * Added greengenes core data in /usr/share/qiime/data as this doesn't
    ever seem to change and other QIIME distributions include it.
  * Modified help text to reflect recent changes.
  * Patch on unit tests to overcome some problems running them
  * Remove denoiser symlink as there is no need for it now
  * Prevent attempts to download stuff (uclust, fasttree) during build
  * Added suggested dep on r-cran-optparse
  * More determined cleanup of temporary test data

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 10 Mar 2014 14:20:08 +0000

qiime (1.7.0-0biolinux2) precise; urgency=low

  * Added patch from https://github.com/qiime/qiime/pull/1108.patch
    so we can/must use biom-format 1.2.0 

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 29 Jan 2014 15:06:04 +0000

=== debian/control ===
Source: qiime
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python-all-dev,
               python-qcli,
               python-cogent (>= 1.5.3),
               python-numpy,
               python-biom-format,
               python-matplotlib,
               python-setuptools,
               ghc,
               python-sphinx,
               ronn,
               bwa,
               infernal,
               raxml,
               sortmerna,
               swarm,
               vsearch
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/med-team/qiime
Vcs-Git: https://salsa.debian.org/med-team/qiime.git
Homepage: http://www.qiime.org/
X-Python-Version: >= 2.7

Package: qiime
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         pynast (>= 1.2.2),
         python-burrito,
         python-burrito-fillings (>= 0.1.1),
         python-biom-format,
         python-cogent (>= 1.5.3),
         python-matplotlib,
         python-mpi4py,
         python-numpy,
         python-pandas (>= 0.13.1),
         python-qcli,
         qiime-data,
         ampliconnoise,
         blast2 | blast+-legacy,
         bwa,
         cd-hit,
         chimeraslayer,
         clearcut,
         clustalw,
         ea-utils,
         emperor (>= 0.9.51),
         fasttree,
         infernal,
         libjs-jquery,
         mafft,
         muscle,
         parsinsert,
         raxml,
         r-cran-optparse,
         rdp-classifier,
         seqprep,
         sortmerna,
         sumatra,
         swarm,
         vsearch
Recommends: mothur,
            rtax
Suggests: t-coffee,
          cytoscape,
          torque-client,
          qiime-default-reference
Description: Quantitative Insights Into Microbial Ecology
 QIIME (canonically pronounced ‘Chime’) is a pipeline for performing
 microbial community analysis that integrates many third party tools which
 have become standard in the field. A standard QIIME analysis begins with
 sequence data from one or more sequencing platforms, including
  * Sanger,
  * Roche/454, and
  * Illumina GAIIx.
 QIIME can perform:
  * library de-multiplexing and quality filtering;
  * denoising with PyroNoise;
  * OTU and representative set picking with uclust, cdhit, mothur, BLAST,
    or other tools;
  * taxonomy assignment with BLAST or the RDP classifier;
  * sequence alignment with PyNAST, muscle, infernal, or other tools;
  * phylogeny reconstruction with FastTree, raxml, clearcut, or other tools;
  * alpha diversity and rarefaction, including visualization of results,
    using over 20 metrics including Phylogenetic Diversity, chao1, and
    observed species;
  * beta diversity and rarefaction, including visualization of results,
    using over 25 metrics including weighted and unweighted UniFrac,
    Euclidean distance, and Bray-Curtis;
  * summarization and visualization of taxonomic composition of samples
    using pie charts and histograms
 and many other features.
 .
 QIIME includes parallelization capabilities for many of the
 computationally intensive steps. By default, these are configured to
 utilize a mutli-core environment, and are easily configured to run in
 a cluster environment. QIIME is built in Python using the open-source
 PyCogent toolkit. It makes extensive use of unit tests, and is highly
 modular to facilitate custom analyses.

Package: qiime-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Description: Quantitative Insights Into Microbial Ecology (tutorial)
 QIIME (canonically pronounced ‘Chime’) is a pipeline for performing
 microbial community analysis that integrates many third party tools which
 have become standard in the field. A standard QIIME analysis begins with
 sequence data from one or more sequencing platforms, including
  * Sanger,
  * Roche/454, and
  * Illumina GAIIx.
 QIIME can perform:
  * library de-multiplexing and quality filtering;
  * denoising with PyroNoise;
  * OTU and representative set picking with uclust, cdhit, mothur, BLAST,
    or other tools;
  * taxonomy assignment with BLAST or the RDP classifier;
  * sequence alignment with PyNAST, muscle, infernal, or other tools;
  * phylogeny reconstruction with FastTree, raxml, clearcut, or other tools;
  * alpha diversity and rarefaction, including visualization of results,
    using over 20 metrics including Phylogenetic Diversity, chao1, and
    observed species;
  * beta diversity and rarefaction, including visualization of results,
    using over 25 metrics including weighted and unweighted UniFrac,
    Euclidean distance, and Bray-Curtis;
  * summarization and visualization of taxonomic composition of samples
    using pie charts and histograms
 and many other features.
 .
 QIIME includes parallelization capabilities for many of the
 computationally intensive steps. By default, these are configured to
 utilize a mutli-core environment, and are easily configured to run in
 a cluster environment. QIIME is built in Python using the open-source
 PyCogent toolkit. It makes extensive use of unit tests, and is highly
 modular to facilitate custom analyses.
 .
 This package contains the documentation and a tutorial.

Package: qiime-data
Architecture: all
Depends: ${misc:Depends}
Description: Quantitative Insights Into Microbial Ecology (supporting data)
 This package contains the GreenGenes core data set needed by QIIME for PyNAST
 alignment and filtering, but you will still need to download the appropriate
 database for taxonomic assignment.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python2

override_dh_compress:
	dh_compress \
	    --exclude=.js \
	    --exclude=.sff \
	    --exclude=.qual \
	    --exclude=.fna \
	    --exclude=.fna.txt

override_dh_auto_build:
	cd qiime/support_files/denoiser/FlowgramAlignment && make
	cd doc && make html
	ronn -r --manual=QIIME --organization='Bio-Linux' debian/qiime.1.ronn
	dh_auto_build

override_dh_auto_clean:
	#Calling "python setup.py clean -a" actually triggers a
	#rebuild, so don't do it.
	rm -f *.logfile
	rm -rf build
	rm -rf doc/_build
	rm -f debian/*.1
	( cd qiime/support_files/denoiser/FlowgramAlignment && make clean ) || true
	rm -f qiime/support_files/denoiser/bin/*
	#In case the tarball was not re-packed, remove any .jars
	find -name '*.jar' -delete
	#And in case any Python script was run, remove the .pyc
	find qiime scripts -name '*.pyc' -delete
	# Remove remainings from running the test suite
	rm -f BLAST_temp_db*
	rm -rf jobs tests/jobs
	rm -rf qiime.egg-info

export ROOTDIR=debian/$(DEB_SOURCE)

#Lots of shuffling to be done...
# Python scripts go into /usr/lib/$(DEB_SOURCE)/bin (not /usr/bin)
# Helper script goes into /usr/bin
# Setup scripts go into /usr/lib/$(DEB_SOURCE)/shell
# Default configuration goes into /etc/$(DEB_SOURCE)/default_qiime_config
# ...see debian/*.install files
override_dh_install-arch:
	dh_install -a
	chmod a+x $(ROOTDIR)/usr/lib/qiime/bin/uclust || true
	chmod a+x $(ROOTDIR)/usr/lib/qiime/bin/usearch* || true
	chmod -R a+rX $(ROOTDIR)/usr/lib/qiime/shell || true
	chmod a-x $(ROOTDIR)/usr/share/qiime/support_files/R/* || true
	chmod a-x $(ROOTDIR)/usr/share/qiime/support_files/js/* || true
	#Fix lintian warning for jquery
	rm $(ROOTDIR)/usr/share/qiime/support_files/js/jquery.js && \
	    ln -s /usr/share/javascript/jquery/jquery.js $(ROOTDIR)/usr/share/qiime/support_files/js
	#Make some symlinks as Qiime assumes a single dir structure
	for path in denoiser/Data css images R js ; do \
		dh_link -pqiime /usr/share/qiime/support_files/"$$path" /usr/lib/qiime/support_files/"$$path" ;\
	done
	#Embed the Debian revision into the version which users see.
	sed -i 's/^\(__version__ = "\)1.*"/\1'$(DEB_VERSION)'"/' debian/$(DEB_SOURCE)/usr/lib/qiime/bin/print_qiime_config.py

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.md

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download  --destdir=../tarballs --repack --compression xz

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
  https://github.com/qiime/qiime/releases .*/qiime/archive/([.0-9]+)\.tar\.gz

## qiime 2019.4.0

=== debian/changelog ===
qiime (2019.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Tue, 11 Jun 2019 19:52:15 +0200

qiime (2019.1.0-2) unstable; urgency=medium

  * Team upload.
  * Delete old Qiime dependencies
    Closes: #924373

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Tue, 12 Mar 2019 00:13:16 +0200

qiime (2019.1.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Switch to Qiime2
    Closes: #820308
     - Adapt watch file
     - Point Homepage to Qiime2
  * debhelper 12
  * Architecture: all

  [ Liubov Chuprikova ]
  * Make .egg-info available for build time tests
  * Adapt d/copyright to Qiime2
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 04 Feb 2019 11:37:46 +0100

=== debian/control ===
Source: qiime
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3,
               python3-setuptools,
               python3-nose,
               python3-bibtexparser,
               python3-decorator,
               python3-pandas,
               python3-tzlocal,
               python3-yaml,
               python3-networkx
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/qiime
Vcs-Git: https://salsa.debian.org/med-team/qiime.git
Homepage: https://qiime2.org

Package: qiime
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-bibtexparser,
         python3-decorator,
         python3-pandas,
         python3-tzlocal,
         python3-yaml,
         python3-pyparsing,
         python3-dateutil,
         python3-networkx
Description: Quantitative Insights Into Microbial Ecology
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = qiime

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# For testing, we need .egg-info so the entry points are available.
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Delete .egg-info and other files that were generated along with .egg-info
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/qiime2.egg-* {build_dir}/site.py {build_dir}/easy-install.pth

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	LC_ALL=C.UTF-8 dh_auto_test -- -s custom --test-args="cd {build_dir}; QIIMETEST= nosetests3"

=== debian/watch ===
version=4

https://github.com/qiime2/qiime2/releases .*/archive/(\d[\d.]+)@ARCHIVE_EXT@

## qiime 2019.10.0

=== debian/changelog ===
qiime (2019.10.0-1) unstable; urgency=medium

  [ Liubov Chuprikova ]
  * New upstream version
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/changelog
  * Add autopkgtest

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Remove obsolete field Name from debian/upstream/metadata.

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Mon, 16 Dec 2019 10:32:45 +0100

qiime (2019.7.0-2) unstable; urgency=medium

  [ Liubov Chuprikova ]
  * Move q2 plugins from Depends to Recommends to avoid triangular
    dependencies (Closes: #940290)

  [ Andreas Tille ]
  * Dropped Tim Booth from Uploaders (thanks to Tim for all your work)
  * Add Liubov Chuprikova to Uploaders

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Tue, 17 Sep 2019 11:44:51 +0200

qiime (2019.7.0-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Trim trailing whitespace.

  [ Liubov Chuprikova ]
  * New upstream version
  * Use setup.py develop to un-deploy the project after testing
  * Update publication, delete old RRID

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Mon, 02 Sep 2019 11:34:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: qiime
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
-           Tim Booth <tbooth@ceh.ac.uk>,
+           Liubov Chuprikova <chuprikovalv@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
                python3-setuptools,
@@ -16,7 +16,7 @@
                python3-tzlocal,
                python3-yaml,
                python3-networkx
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/qiime
 Vcs-Git: https://salsa.debian.org/med-team/qiime.git
 Homepage: https://qiime2.org
@@ -34,6 +34,9 @@
          python3-pyparsing,
          python3-dateutil,
          python3-networkx
+Recommends: q2cli,
+            q2-cutadapt,
+            q2-types
 Description: Quantitative Insights Into Microbial Ecology
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables
@@ -55,4 +58,4 @@
  New functionality will regularly become available through QIIME 2 plugins. You
  can view a list of plugins that are currently available on the QIIME 2 plugin
  availability page. The future plugins page lists plugins that are being
- developed. 
+ developed.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = qiime

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# For testing, we need to deploy the project in the build directory
# so that qiime2 plugins are loaded
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Un-deploy the project and delete site.py script
export PYBUILD_AFTER_TEST=rm -v {build_dir}/site.py; \
	python{version} setup.py develop --uninstall --install-dir {build_dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 dh_auto_test -- -s custom --test-args="cd {build_dir}; QIIMETEST= nosetests3"
endif

## qiime 2020.11.1

=== Makefile ===
.PHONY: all lint test install dev clean distclean

PYTHON ?= python
PREFIX ?= $(CONDA_PREFIX)

all: ;

lint:
	q2lint
	flake8

test: all
	QIIMETEST= nosetests

install: all
	$(PYTHON) setup.py install && \
	mkdir -p $(PREFIX)/etc/conda/activate.d && \
	cp hooks/00_activate_qiime2_envs.sh $(PREFIX)/etc/conda/activate.d/ && \
	mkdir -p $(PREFIX)/etc/conda/deactivate.d && \
	cp hooks/00_deactivate_qiime2_envs.sh $(PREFIX)/etc/conda/deactivate.d/

dev: all
	pip install -e .

clean: distclean

distclean: ;

=== debian/changelog ===
qiime (2020.11.1-1) unstable; urgency=medium

  * Add myself to Uploaders
  * 32-bits.patch forwarded upstream.
  * New upstream version

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 12 Dec 2020 10:46:31 +0100

qiime (2020.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * Delayed testing to autopkgtest due to hack againt pkg_resources not working
    anymore for the build time test, temporarily hopefully.
  * Added patches for compatibility with Python: (Closes: #950842)
    - python3.8.patch
    - python3.9.patch
  * Added 32-bits.patch to fix autopkgtest regressions.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Tue, 01 Dec 2020 19:02:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Liubov Chuprikova <chuprikovalv@gmail.com>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Étienne Mollier <etienne.mollier@mailoo.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-setuptools,
@@ -16,10 +17,11 @@
                python3-tzlocal,
                python3-yaml,
                python3-networkx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/qiime
 Vcs-Git: https://salsa.debian.org/med-team/qiime.git
 Homepage: https://qiime2.org
+Rules-Requires-Root: no
 
 Package: qiime
 Architecture: all
@@ -35,8 +37,14 @@
          python3-dateutil,
          python3-networkx
 Recommends: q2cli,
+            q2templates,
             q2-cutadapt,
-            q2-types
+            q2-types,
+            q2-metadata,
+            q2-demux,
+            q2-quality-filter,
+            q2-feature-classifier,
+            q2-feature-table
 Description: Quantitative Insights Into Microbial Ecology
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = qiime

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

# FIXME: the following hack is commented out, as the tip to solve the QIIMETEST
# environment variable issue does not seem to work anymore.  No tests are run
# at build time, they are delayed to the autopkgtest step.

## For testing, we need to deploy the project in the build directory
## so that qiime2 plugins are loaded
#export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
## Un-deploy the project and delete site.py script
#export PYBUILD_AFTER_TEST=rm -v {build_dir}/site.py; \
#	python{version} setup.py develop --uninstall --install-dir {build_dir}

override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	LC_ALL=C.UTF-8 dh_auto_test -- -s custom --test-args="cd {build_dir}; QIIMETEST= nosetests3"
#endif

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-setuptools, python3-nose
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d[\d.]+@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/qiime2/qiime2/releases .*/archive/(\d[\d.]+)@ARCHIVE_EXT@

## qiime 2021.8.0

=== debian/changelog ===
qiime (2021.8.0-2) unstable; urgency=medium

  * Team upload.
  * Enable decorator 5.x in test suite
    Closes: #996469

 -- Andreas Tille <tille@debian.org>  Sun, 17 Oct 2021 19:53:37 +0200

qiime (2021.8.0-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * d/watch: update pattern for GitHub archive URLs
  * d/control: updated uploader address

  [ Steffen Moeller ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Sep 2021 19:10:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Liubov Chuprikova <chuprikovalv@gmail.com>,
            Andreas Tille <tille@debian.org>,
-           Étienne Mollier <etienne.mollier@mailoo.org>
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-setuptools,
-               python3-nose,
-               python3-bibtexparser,
-               python3-decorator,
-               python3-pandas,
-               python3-tzlocal,
-               python3-yaml,
-               python3-networkx
-Standards-Version: 4.5.1
+               python3-nose <!nocheck>,
+               python3-bibtexparser <!nocheck>,
+               python3-decorator <!nocheck>,
+               python3-dill <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-tzlocal <!nocheck>,
+               python3-yaml <!nocheck>,
+               python3-networkx <!nocheck>
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/qiime
 Vcs-Git: https://salsa.debian.org/med-team/qiime.git
 Homepage: https://qiime2.org
@@ -30,6 +31,7 @@
          ${python3:Depends},
          python3-bibtexparser,
          python3-decorator,
+         python3-dill,
          python3-pandas,
          python3-tzlocal,
          python3-yaml,

=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,7 @@
 #ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 #	LC_ALL=C.UTF-8 dh_auto_test -- -s custom --test-args="cd {build_dir}; QIIMETEST= nosetests3"
 #endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf qiime2.egg-info

## qiime 2022.2.1

=== debian/changelog ===
qiime (2022.2.1-2) unstable; urgency=medium

  * d/control: Extended package description 

 -- Steffen Moeller <moeller@debian.org>  Sun, 10 Jul 2022 13:31:57 +0200

qiime (2022.2.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Updated patches.

 -- Steffen Moeller <moeller@debian.org>  Thu, 30 Jun 2022 19:03:21 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-tzlocal <!nocheck>,
                python3-yaml <!nocheck>,
                python3-networkx <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/qiime
 Vcs-Git: https://salsa.debian.org/med-team/qiime.git
 Homepage: https://qiime2.org
@@ -48,6 +48,12 @@
             q2-feature-classifier,
             q2-feature-table
 Description: Quantitative Insights Into Microbial Ecology
+ Microbes are surrounding us, animals, plants and all their parasites with
+ strong effect on these and the environment these live in. Soil quality comes
+ to mind but also the effect that bacteria have on each other. Humans are
+ influencing the absolute and relative abundance of bacteria by antibiotics,
+ food, fertilizers - you name it - and these changes affect us.
+ .
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables
  researchers to start an analysis with raw DNA sequence data and finish with

## qiime 2022.11.1

=== debian/changelog ===
qiime (2022.11.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:31:34 +0100

qiime (2022.11.1-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2023 18:22:25 +0100

qiime (2022.8.3-2) unstable; urgency=medium

  * Migrate qiime 2022.8.3 to unstable.
    Experimental pseudo-excuses are looking good.

 -- Étienne Mollier <emollier@debian.org>  Sun, 23 Oct 2022 10:13:24 +0200

qiime (2022.8.3-1) experimental; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sat, 22 Oct 2022 14:16:59 +0200

qiime (2022.8.1-3) unstable; urgency=medium

  * Team Upload.
  * Add skippable restriction for exit 77 status to work for 32 bit

 -- Nilesh Patra <nilesh@debian.org>  Mon, 05 Sep 2022 19:02:58 +0530

qiime (2022.8.1-2) unstable; urgency=medium

  * d/t/{control,run-unit-tests}: ensure DEB_HOST_ARCH_BITS is usable.

 -- Étienne Mollier <emollier@debian.org>  Sun, 04 Sep 2022 17:13:00 +0200

qiime (2022.8.1-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * New upstream version 2022.8.1
  * d/t/run-unit-test: Skip tests on 32-bit
    arch (Closes: #1014100)
  * Switch from nose to pytest (Closes: #1018609)

  [ Étienne Mollier ]
  * python3.8.patch: unfuzz.
  * python3.10.patch: added; fix autopkgtest with python3.10.

 -- Étienne Mollier <emollier@debian.org>  Sat, 03 Sep 2022 12:05:26 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-python,
                python3,
                python3-setuptools,
-               python3-nose <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-bibtexparser <!nocheck>,
                python3-decorator <!nocheck>,
                python3-dill <!nocheck>,
@@ -18,7 +18,7 @@
                python3-tzlocal <!nocheck>,
                python3-yaml <!nocheck>,
                python3-networkx <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/qiime
 Vcs-Git: https://salsa.debian.org/med-team/qiime.git
 Homepage: https://qiime2.org
@@ -37,7 +37,9 @@
          python3-yaml,
          python3-pyparsing,
          python3-dateutil,
-         python3-networkx
+         python3-networkx,
+         python3-psutil,
+         python3-flufl.lock
 Recommends: q2cli,
             q2templates,
             q2-cutadapt,

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 override_dh_auto_test:
 #ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-#	LC_ALL=C.UTF-8 dh_auto_test -- -s custom --test-args="cd {build_dir}; QIIMETEST= nosetests3"
+#	LC_ALL=C.UTF-8 dh_auto_test -- -s custom --test-args="cd {build_dir}; QIIMETEST= pytest-3"
 #endif
 
 override_dh_auto_clean:

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-setuptools, python3-pytest, dpkg-dev
Restrictions: allow-stderr, skippable

## qiime 2024.5.0

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,11 @@
 	flake8
 
 test: all
-	QIIMETEST= nosetests
+	QIIMETEST= pytest --doctest-modules
+
+# for parallel, pip install pytest-xdist
+mystery-stew: all
+	MYSTERY_STEW= pytest qiime2/tests/mystery_stew.py -n auto
 
 install: all
 	$(PYTHON) setup.py install && \

=== debian/changelog ===
qiime (2024.5.0-1ubuntu2) oracular; urgency=medium

  * Rebuild against new qiime with python3.12 tests enabled.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2024 08:38:57 +0200

qiime (2024.5.0-1ubuntu1) oracular; urgency=medium

  * Enalble again building for Python 3.12 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2024 14:50:27 +0200

qiime (2024.5.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Replace python3-appdirs by python3-platformdirs
    Closes: #1068006

  [ Athos Ribeiro ]
  * d/p/configparser.patch: support python 3.12 configparser

  [ Michael R. Crusoe ]
  * Added patch to finish migration to platformdirs from appdirs.
  * d/rules: Only build for Python 3.11 until upstream catches up with
             Python 3.12.
  * d/tests/run-unit-test: likewise, run the unit tests using Python
    3.11
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 24 Jun 2024 18:22:48 +0200

qiime (2024.2.0-1) unstable; urgency=medium

  * New upstream version
  * (Build-)Depends: python3-lxml

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 12:38:43 +0100

qiime (2023.9.2-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Build-Depends: python3-appdirs, python3-parsl
  * Depends: python3-appdirs, python3-parsl, python3-tomlkit

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jan 2024 18:13:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+#export PYBUILD_DISABLE=python3.12
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 # FIXME: the following hack is commented out, as the tip to solve the QIIMETEST
 # environment variable issue does not seem to work anymore.  No tests are run

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3.11
Restrictions: allow-stderr, skippable

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qiime2-$1.tar.gz%" \
   https://github.com/qiime2/qiime2/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
